# maxosx/homebrew/android-studio

- name: Install android-ndk specific version
  block:
    - name: Download android-ndk
      get_url:
        url: "https://dl.google.com/android/repository/android-ndk-{{ android_ndk_version }}-darwin-x86_64.zip"
        dest: "$HOME/Downloads/android-ndk-{{ android_ndk_version }}-darwin-x86_64.zip"
    - name: Unarchive android-ndk
      unarchive:
        src: "$HOME/Downloads/android-ndk-{{ android_ndk_version }}-darwin-x86_64.zip"
        dest: "$HOME/Library/Android"
        remote_src: yes
    # - name: Configure path env
    #   lineinfile:
    #     dest: "$HOME/.bashrc"
    #     line: "{{ item }}"
    #     state: present
    #   with_items:
    #     - 'export ANDROID_NDK_HOME="$HOME/Library/Android/android-ndk-{{ android_ndk_version }}"'
    #     - 'export PATH="$ANDROID_NDK_HOME:$PATH"'
  when: android_ndk_version is defined and android_ndk_version != ""
